import { FormControlAddonTheme } from './themes/form-control-addon.theme';
import { CheckboxGroupTheme } from './themes/checkbox-group.theme';
import { ControlErrorTheme } from './themes/control-error.theme';
import { FormControlTheme } from './themes/form-control.theme';
import { CheckboxTheme } from './themes/checkbox.theme';
export declare type ThemeDataRecord = Record<string, string> | string;
export declare type ColorString = `#${string}`;
export interface GlobalTheme {
    accentColor: ColorString;
    errorColor: ColorString;
    formControl: FormControlTheme;
    formControlAddon: FormControlAddonTheme;
    checkbox: CheckboxTheme;
    checkboxGroup: CheckboxGroupTheme;
    controlError: ControlErrorTheme;
    custom?: {
        [key: string]: ThemeDataRecord;
    };
}
declare type Subset<K> = {
    [attr in keyof K]?: K[attr] extends object ? Subset<K[attr]> : K[attr];
};
export declare type PartialGlobalTheme = Subset<GlobalTheme>;
export declare type GlobalVariables = Pick<GlobalTheme, 'accentColor' | 'errorColor'>;
export declare type GlobalVariablesKey = keyof GlobalVariables;
export {};
